#ifndef TASKTAGS_H
#define TASKTAGS_H

#define LMM0_TAG (0x01)
#define LMM1_TAG (LMM0_TAG << 1)
#define LMM2_TAG (LMM1_TAG << 1)
#define LMM3_TAG (LMM2_TAG << 1)
#define LMM4_TAG (LMM3_TAG << 1)
#define LMM5_TAG (LMM4_TAG << 1)
#define LMM6_TAG (LMM5_TAG << 1)
#define LMM7_TAG (LMM6_TAG << 1)
#define LMM8_TAG (LMM7_TAG << 1)
#define LMM9_TAG (LMM8_TAG << 1)
#define LMM10_TAG (LMM9_TAG << 1)
#define IntegerMath_TAG (LMM10_TAG << 1)
#define PolledQueueProducer_TAG (IntegerMath_TAG << 1)
#define PolledQueueConsumer_TAG (PolledQueueProducer_TAG << 1)
#define Check_TAG (PolledQueueConsumer_TAG << 1)
#define ERROR_TAG (Check_TAG << 1)

#define tagTask(tag) (LED_CTRL |= tag)
#define untagTask(tag) (LED_CTRL &= ~tag)
#define toggleTask(tag) { \
            tagTask(tag); \
            untagTask(tag); \
        }

#endif
